Bug 140976 - canoscan lide 30 not in libsane.usermap
Summary: canoscan lide 30 not in libsane.usermap
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
(Show other bugs)
Version: 3
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-27 09:46 UTC by Jan Christiaan van Winkel
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 13:40:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Christiaan van Winkel 2004-11-27 09:46:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
My Canon Canoscan lide 30 scanner (that worked flawlessly in RH9) is
no longer recognized.

Version-Release number of selected component (if applicable):
sane-backends-1.0.14-6

How reproducible:
Always

Steps to Reproduce:
1. attach lide 30 scanner to usb bus
2. start xsane of scanimage - no scanner found
3.
    

Actual Results:  No scanner found.

Expected Results:  Scanning should work

Additional info:

Adding the two lines
# Canon Inc.|LIDE 30
libusbscanner 0x0003 0x04a9 0x220e 0x0000 0x0000 0x00 0x00 0x00 0x06 
          0x00 0x00 0x00000000

makes things work

Comment 1 Jan Christiaan van Winkel 2004-11-29 07:46:36 UTC
Information from /proc/bus/usb/devices:
T:  Bus=02 Lev=01 Prnt=01 Port=03 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=ff(vend.) Sub=00 Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=04a9 ProdID=220e Rev= 1.00
S:  Manufacturer=Canon
S:  Product=CanoScan
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=ff Driver=(none)
E:  Ad=81(I) Atr=03(Int.) MxPS=   1 Ivl=16ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms


Comment 2 Tim Waugh 2004-11-29 13:40:08 UTC
Please try 1.0.15 from Fedora development, which does contain a line very
similar to that one.


Note You need to log in before you can comment on or make changes to this bug.